<!DOCTYPE html>
<html>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    {% load static %}
    <link rel="stylesheet" href="{% static 'DeFi/css/style.css' %}">
    <link rel="preconnect" href="https://fonts.googleapis.com"> 
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com"> 
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>

    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin> 
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap" rel="stylesheet">
    <title>Administrator</title>
</head>
<body id="sigillum_body">
    <script>  var dati_json_kyc = JSON.parse('{{ dati | escapejs }}');</script>
    <h1 class="big_title defih1">Admin panel</h1>
    <br>
    <div class="container">
    <form action="/send_token/" method="POST">
        {% csrf_token %}
        <div class="form form-group my-background pad">

          <input type="text" class="form-control" id="passphase" name="passphase"
            placeholder="Admin Passphase...">
          <label for="passphase"></label><br>

          <input type="text" class="form-control" id="accout" name="accout"
            placeholder="Reciver accout">
          <label for="Receiver Accout..."></label><br>

          <div class="btn-toolbar2">
            <input type="reset" value="Reset" class="btn" id="reset_btn">
            <input type="submit" value="Send token" class="btn">
          </div>
        </div>
    </form>
    </div>
       
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    {% if messages %}

    {% for message in messages %}
    <script>
        Swal.fire({
        title: 'Error!',
        text: '{{message}}',
        icon: 'error',
        confirmButtonText: 'OK!'
        })
    </script>
    {% endfor %}

    {% endif %}
  <div class="table-responsive-md divtabella">
    <table class="table table-dark tabellaInside" id="table_kyc">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Fiscal Code</th>
          <th scope="col">Name</th>
          <th scope="col">Surname</th>
          <th scope="col">Age</th>
          <th scope="col">Token Received</th>
        </tr>
      </thead>
      <tbody>
        <script>
          dati_json_kyc
          for(var i=0;i<dati_json_kyc.length; i++){
            if(dati_json_kyc[i].token_rcvd == "false"){ //if False
              $("table.tabellaInside").append('<tr><td>'+dati_json_kyc[i].id+'</td><td>'+dati_json_kyc[i].fiscal_code+'</td><td>'+dati_json_kyc[i].name+'</td><td>'+dati_json_kyc[i].surname+'</td><td>'+dati_json_kyc[i].age+'</td><td style="color:red;">'+dati_json_kyc[i].token_rcvd+'</td></tr>');
            }else{
                $("table.tabellaInside").append('<tr><td>'+dati_json_kyc[i].id+'</td><td>'+dati_json_kyc[i].fiscal_code+'</td><td>'+dati_json_kyc[i].name+'</td><td>'+dati_json_kyc[i].surname+'</td><td>'+dati_json_kyc[i].age+'</td><td style="color:green;">'+dati_json_kyc[i].token_rcvd+'</td></tr>');
            }
          }
        </script>
        
      
      </tbody>
    </table>
  </div>
      



</body>
</html>